from machine import Pin
from time import sleep

led_Col=[2,3,4,5,25,7,8,9,21,22];

for ledPin in led_Col:
    Pin(ledPin, Pin.OUT)
    
ledMatrix = [0,0,0,0,0,1,1,1,1,1]

def setLED(zeile, spalte, status):
    #Da ein Array mit dem Index 0 beginnt,
    #ziehen wir von dem Wert Spalte einen ab.
    ledMatrix[spalte-1] = status
    #Der Index für die Zeilen beginnt nach den ersten
    #5 Stellen, zu diesem addieren wir den Index der
    #gewünschten Zeile.
    ledMatrix[4 + zeile] = 0 if status == 1 else 0
    #Um eine Zeile zu aktivieren muss statt eine 1
    #eine 0 geschrieben werden.

#Funktion zum schreiben der Daten auf die LED Matrix.
def updateLEDMatrix():
    #Zugriff auf die Variable ledMatrix welche außerhalb
    #der Funktion liegt.
    global ledMatrix
    #Zum Schluss muss nun das Array mit den geänderten
    #Daten geschrieben werden.
    
    #erstellen eines Zählers für den Index im Array mit den
    #Pins der LEDs.
    ledPin = 0
    print(ledMatrix)
    #Starten der ForEach Schleife...
    for status in ledMatrix:
        #Wenn der Status 0 / also der Wert an der Arrayposition
        #gleich 0 ist, dann soll der Pin deaktiviert werden.
        if status == 0:
            Pin(led_Col[ledPin], Pin.OUT).low()
        else:
            #Wenn der Status 1 ist, dann soll der Pin aktiviert werden.
            Pin(led_Col[ledPin], Pin.OUT).high()
        #erhöhen des Zählers
        ledPin = ledPin + 1
        
#Zurücksetzen der LED Matrix
def resetLEDMatrix():
    #Zugriff auf die Variable ledMatrix welche
    #außerhalb der Funktion liegt.
    global ledMatrix
    #überschreiben der Matrix mit dem Standard (alles AUS)
    ledMatrix = [0,0,0,0,0,1,1,1,1,1]
    #aufrufen der Funktion zum schreiben der Daten
    updateLEDMatrix()


#Aufrufen der Funktion setLED
#erster Parameter ist die Zeile,
#zweiter Parameter ist die Spalte,
#dritter Parameter ist der Status der LED (1 == EIN, 0 == AUS)
while True:
    setLED(1, 1, 1)
    setLED(5, 5, 1)
    updateLEDMatrix()
    sleep(0.25)
    resetLEDMatrix()
    setLED(2, 2, 1)
    setLED(4, 4, 1)
    updateLEDMatrix()
    sleep(0.25)
    resetLEDMatrix()
    setLED(3, 3, 1)
    updateLEDMatrix()
    sleep(0.25)
    resetLEDMatrix()
    setLED(2, 2, 1)
    setLED(4, 4, 1)
    updateLEDMatrix()
    sleep(0.25)
    resetLEDMatrix()


